# Get Cart Item Options

Get alternative store products for a cart item.

## Get Cart Item Options

<mark style="color:blue;">`GET`</mark> `https://graph.whisk.com/v1/:cart_id/items/:item_id/options`

#### Path Parameters

| Name     | Type   | Description            |
| -------- | ------ | ---------------------- |
| cart\_id | string | Unique cart identifier |
| item\_id | string | Unique item identifier |

{% tabs %}
{% tab title="200 " %}

```javascript
{
  "options": [
    {
      "sku": "299626009",
      "name": "Tesco 15 Eggs",
      "quantity": {
        "count": 1
      },
      "price": {
        "list": 1.19
      },
      "images": [
        {
          "url": "https://img.tesco.com/Groceries/pi/043/5057545736043/IDShot_540x540.jpg"
        }
      ],
      "url": "https://www.tesco.com/groceries/en-GB/products/299626009"
    },
    ...
    {
      "sku": "265422924",
      "name": "Tesco Mixed Sized Free Range Eggs 15 Pack",
      "quantity": {
        "count": 1
      },
      "price": {
        "list": 2
      },
      "images": [
        {
          "url": "https://img.tesco.com/Groceries/pi/706/5052003671706/IDShot_540x540.jpg"
        }
      ],
      "url": "https://www.tesco.com/groceries/en-GB/products/265422924"
    }
  ]
}
```

{% endtab %}
{% endtabs %}

## Response

| ATTRIBUTE | TYPE                       | DESCRIPTION                  |
| --------- | -------------------------- | ---------------------------- |
| options   | array \[CartProductOption] | available store item options |

### Store Item

| ATTRIBUTE  | TYPE                    | DESCRIPTION                        |
| ---------- | ----------------------- | ---------------------------------- |
| sku\*      | string                  | store item identifier              |
| name\*     | string                  | store item name                    |
| quantity\* | CartProductQuantity     | quantity of product items          |
| price      | CartItemPrice           | price for the quantity of products |
| images\*   | array \[ImageContainer] |                                    |
| url        | string                  | link to product page in store      |

### Sample Request

```bash
curl "https://graph.whisk.com/v1/39247bbe44e145578ede8cab9fa89dd1/items/89362f250e6b42208eb3982a95e70144/options" \
    -H "Accept: application/json" \
    -H "Authorization: Token <Access-Token>"
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.whisk.com/master/api/carts/get-cart-item-options.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
